=== debian/changelog ===
cdist (4.0.0~pre3-2) unstable; urgency=medium

  * Bump standards version to 3.9.7 (no changes needed)
  * Do not hardcode python version dependency (Closes: #802784)
  * Replace insecure git:// uri in Vcs-Git field with secure https://
  * Fix spelling errors in manpages

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 06 Apr 2016 16:36:05 +0300

cdist (4.0.0~pre3-1) unstable; urgency=low

  * Initial release (Closes: #785334)
  * Add patch to enable build without git checkout
  * Add patch to fix manpages spelling errors

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 14 May 2015 05:08:03 +0300
