=== debian/control ===
Source: cdist
Maintainer: Dmitry Bogatov <KAction@gnu.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
 asciidoc,
 dh-python,
 docbook-utils,
 libxml2-utils,
 python3,
 xmlto,
 xsltproc,
Standards-Version: 3.9.7
Homepage: http://www.nico.schottelius.org/software/cdist/
Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git

Package: cdist
Architecture: all
Depends: python3 (>= 3.4), ${misc:Depends}, ${python3:Depends}
Description: Usable Configuration Management System
 cdist is a usable configuration management system.
 It adheres to the KISS principle and is being used in
 small up to enterprise grade environments. It has the
 following noteworthy features:
 .
  * shell scripting configuration language
  * access to all control structures (if, case, for, while)
  * idempotent target properties
  * zero-dependencies: target system need only /bin/sh and ssh
  * push-based distribution
  * highly-scalable
 .
 cdist is an alternative to other configuration management systems
 like cfengine, bcfg2, chef and puppet.
