=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/(\d\S*)\.tar\.gz/cdist-$1\.tar\.gz/;s/pre/~pre/,uversionmangle=s/pre/~pre/" \
  https://github.com/telmich/cdist/tags .*/(\d\S*)\.tar\.gz
