## cdist 4.0.0

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # is the man page section (1 or 7). The first three lines of the input
 # (xml, DOCTYPE, head tags) are ignored, since the head tags contains
 # the title of the page and should not contain a href.
-CROSSLINK=sed --in-place '1,3!s/\([[:alnum:]_-]*\)(\([17]\))/<a href="..\/man\2\/\1.html">&<\/a>/g'
+CROSSLINK=sed -i '' '1,3!s/\([[:alnum:]_-]*\)(\([17]\))/<a href="..\/man\2\/\1.html">&<\/a>/g'
 helper=./bin/build-helper
 
 MANDIR=docs/man
@@ -35,7 +35,7 @@
 
 WEBSRCDIR=docs/web
 
-WEBDIR=$$HOME/www.nico.schottelius.org
+WEBDIR=$$HOME/vcs/www.nico.schottelius.org
 WEBBLOG=$(WEBDIR)/blog
 WEBBASE=$(WEBDIR)/software/cdist
 WEBPAGE=$(WEBBASE).mdwn
@@ -109,8 +109,8 @@
 
 man-latest-link: web-pub
 	# Fix ikiwiki, which does not like symlinks for pseudo security
-	ssh tee.schottelius.org \
-    	"cd /home/services/www/nico/www.nico.schottelius.org/www/software/cdist/man && rm -f latest && ln -sf "$(CHANGELOG_VERSION)" latest"
+	ssh staticweb.ungleich.ch \
+		"cd /home/services/www/nico/nico.schottelius.org/www/software/cdist/man/ && rm -f latest && ln -sf "$(CHANGELOG_VERSION)" latest"
 
 ################################################################################
 # Speeches
@@ -171,17 +171,6 @@
 
 
 ################################################################################
-# Release: Freecode
-#
-FREECODE_FILE=.lock-freecode
-
-$(FREECODE_FILE): $(CHANGELOG_FILE)
-	$(helper) freecode-release $(CHANGELOG_VERSION)
-	touch $@
-
-freecode-release: $(FREECODE_FILE)
-
-################################################################################
 # pypi
 #
 PYPI_FILE=.pypi-release
@@ -197,7 +186,7 @@
 ARCHLINUXTAR=cdist-$(CHANGELOG_VERSION)-1.src.tar.gz
 
 $(ARCHLINUXTAR): PKGBUILD
-	makepkg -c --source
+	umask 022; mkaurball
 
 PKGBUILD: PKGBUILD.in $(PYTHON_VERSION)
 	./PKGBUILD.in $(CHANGELOG_VERSION)
@@ -254,10 +243,7 @@
 
 # The pub is Nico's "push to all git remotes" way ("make pub")
 pub:
-	for remote in "" github sf; do \
-		echo "Pushing to $$remote"; \
-		git push --mirror $$remote; \
-	done
+	git push --mirror
 
 test:
 	$(helper) $@
