=== debian/changelog ===
cdist (4.0.0-2) unstable; urgency=medium

  * patches/ensure-reproducible-build.patch: ensure deterministic file
    processing order.  Thanks to Chris Lamb <chris@chris-lamb.co.uk>.
    (Closes: #825406)
  * Call dh_fixperms after calling 'chmod +x' on files with shebang, since
    seems it is overzealos and causes executable manpage.

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 28 May 2016 01:25:09 +0300

cdist (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh spelling patches
  * Improve machine-readability of debian/copyright
  * Disable building html documentation
  * Bump standards version to 3.9.8 (no changes needed)

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 15 May 2016 17:44:25 +0300
