=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3,
  xmlto,
  xsltproc,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.nico.schottelius.org/software/cdist/
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
 Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
