=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,10 @@
 	find debian/cdist -name .gitignore -delete
 
 override_dh_fixperms:
-	dh_fixperms
 	# Make lintian happy. If something have shebang, then `chmod +x'.
 	find debian/cdist -type f -execdir \
 		/bin/sh -c '(head -n1 {} | grep -qF "#!") && chmod +x {}' \;
+	dh_fixperms
 
 override_dh_auto_clean:
 	dh_auto_clean
