## cdist 4.2.1

=== Makefile ===
--- 
+++ 
@@ -18,18 +18,9 @@
 #
 #
 
-A2XM=a2x -f manpage --no-xmllint -a encoding=UTF-8
-A2XH=a2x -f xhtml --no-xmllint -a encoding=UTF-8
-# Create cross-links in html man pages
-# We look for something like "cdist-type(7)" and make a href out of it
-# The first matching group is the man page name and the second group
-# is the man page section (1 or 7). The first three lines of the input
-# (xml, DOCTYPE, head tags) are ignored, since the head tags contains
-# the title of the page and should not contain a href.
-CROSSLINK=sed -i '' '1,3!s/\([[:alnum:]_-]*\)(\([17]\))/<a href="..\/man\2\/\1.html">&<\/a>/g'
 helper=./bin/build-helper
 
-MANDIR=docs/man
+DOCS_SRC_DIR=docs/src
 SPEECHDIR=docs/speeches
 TYPEDIR=cdist/conf/type
 
@@ -45,72 +36,78 @@
 
 PYTHON_VERSION=cdist/version.py
 
+SPHINXM=make -C $(DOCS_SRC_DIR) man
+SPHINXH=make -C $(DOCS_SRC_DIR) html
+SPHINXC=make -C $(DOCS_SRC_DIR) clean
 ################################################################################
 # Manpages
 #
-MAN1DSTDIR=$(MANDIR)/man1
-MAN7DSTDIR=$(MANDIR)/man7
+MAN1DSTDIR=$(DOCS_SRC_DIR)/man1
+MAN7DSTDIR=$(DOCS_SRC_DIR)/man7
 
 # Manpages #1: Types
-# Use shell / ls to get complete list - $(TYPEDIR)/*/man.text does not work
-MANTYPESRC=$(shell ls $(TYPEDIR)/*/man.text)
-
-# replace first path component
+# Use shell / ls to get complete list - $(TYPEDIR)/*/man.rst does not work
+# Using ls does not work if no file with given pattern exist, so use wildcard
+MANTYPESRC=$(wildcard $(TYPEDIR)/*/man.rst)
 MANTYPEPREFIX=$(subst $(TYPEDIR)/,$(MAN7DSTDIR)/cdist-type,$(MANTYPESRC))
-
-# replace man.text with .7 or .html
-MANTYPEMAN=$(subst /man.text,.7,$(MANTYPEPREFIX))
-MANTYPEHTML=$(subst /man.text,.html,$(MANTYPEPREFIX))
-MANTYPEALL=$(MANTYPEMAN) $(MANTYPEHTML)
-
-# Link manpage so A2XH does not create man.html but correct named file
-$(MAN7DSTDIR)/cdist-type%.text: $(TYPEDIR)/%/man.text
+MANTYPES=$(subst /man.rst,.rst,$(MANTYPEPREFIX))
+
+# Link manpage: do not create man.html but correct named file
+$(MAN7DSTDIR)/cdist-type%.rst: $(TYPEDIR)/%/man.rst
 	ln -sf "../../../$^" $@
 
 # Manpages #2: reference
-MANREF=$(MAN7DSTDIR)/cdist-reference.text
-MANREFSH=$(MANDIR)/cdist-reference.text.sh
-MANREFMAN=$(MANREF:.text=.7)
-MANREFHTML=$(MANREF:.text=.html)
-MANREFALL=$(MANREFMAN) $(MANREFHTML)
-
-$(MANREF): $(MANREFSH)
-	$(MANREFSH)
-
-# Manpages #3: static pages
-MAN1STATIC=$(shell ls $(MAN1DSTDIR)/*.text)
-MAN7STATIC=$(shell ls $(MAN7DSTDIR)/*.text)
-MANSTATICMAN=$(MAN1STATIC:.text=.1) $(MAN7STATIC:.text=.7)
-MANSTATICHTML=$(MAN1STATIC:.text=.html) $(MAN7STATIC:.text=.html)
-MANSTATICALL=$(MANSTATICMAN) $(MANSTATICHTML)
-
-# Manpages #4: generic part
-
-# Creating the type manpage
-%.1 %.7: %.text
-	$(A2XM) $^
-
-# Creating the type html page
-%.html: %.text
-	$(A2XH) $^
-	$(CROSSLINK) $@
-
-man: $(MANTYPEALL) $(MANREFALL) $(MANSTATICALL)
+DOCSREF=$(MAN7DSTDIR)/cdist-reference.rst
+DOCSREFSH=$(DOCS_SRC_DIR)/cdist-reference.rst.sh
+
+$(DOCSREF): $(DOCSREFSH)
+	$(DOCSREFSH)
+
+# Manpages #3: generic part
+man: $(MANTYPES) $(DOCSREF) $(PYTHON_VERSION)
+	$(SPHINXM)
+
+html: $(MANTYPES) $(DOCSREF) $(PYTHON_VERSION)
+	$(SPHINXH)
+
+docs: man html
+
+docs-clean:
+	$(SPHINXC)
 
 # Manpages #5: release part
 MANWEBDIR=$(WEBBASE)/man/$(CHANGELOG_VERSION)
-
-man-dist: man check-date
+HTMLBUILDDIR=docs/dist/html
+
+docs-dist: html
 	rm -rf "${MANWEBDIR}"
-	mkdir -p "${MANWEBDIR}/man1" "${MANWEBDIR}/man7"
-	cp ${MAN1DSTDIR}/*.html ${MAN1DSTDIR}/*.css ${MANWEBDIR}/man1
-	cp ${MAN7DSTDIR}/*.html ${MAN7DSTDIR}/*.css ${MANWEBDIR}/man7
+	mkdir -p "${MANWEBDIR}"
+	# mkdir -p "${MANWEBDIR}/man1" "${MANWEBDIR}/man7"
+	# cp ${MAN1DSTDIR}/*.html ${MAN1DSTDIR}/*.css ${MANWEBDIR}/man1
+	# cp ${MAN7DSTDIR}/*.html ${MAN7DSTDIR}/*.css ${MANWEBDIR}/man7
+	cp -R ${HTMLBUILDDIR}/* ${MANWEBDIR}
 	cd ${MANWEBDIR} && git add . && git commit -m "cdist manpages update: $(CHANGELOG_VERSION)" || true
 
 man-latest-link: web-pub
 	# Fix ikiwiki, which does not like symlinks for pseudo security
 	ssh staticweb.ungleich.ch \
 		"cd /home/services/www/nico/nico.schottelius.org/www/software/cdist/man/ && rm -f latest && ln -sf "$(CHANGELOG_VERSION)" latest"
+
+# Manpages: .cdist Types
+DOT_CDIST_PATH=${HOME}/.cdist
+DOTMAN7DSTDIR=$(MAN7DSTDIR)
+DOTTYPEDIR=$(DOT_CDIST_PATH)/type
+DOTMANTYPESRC=$(wildcard $(DOTTYPEDIR)/*/man.rst)
+DOTMANTYPEPREFIX=$(subst $(DOTTYPEDIR)/,$(DOTMAN7DSTDIR)/cdist-type,$(DOTMANTYPESRC))
+DOTMANTYPES=$(subst /man.rst,.rst,$(DOTMANTYPEPREFIX))
+
+# Link manpage: do not create man.html but correct named file
+$(DOTMAN7DSTDIR)/cdist-type%.rst: $(DOTTYPEDIR)/%/man.rst
+	ln -sf "$^" $@
+
+# Manpages #3: generic part
+dotman: $(DOTMANTYPES)
+	$(SPHINXM)
 
 ################################################################################
 # Speeches
@@ -151,7 +148,7 @@
 
 web-dist: web-blog web-doc
 
-web-pub: web-dist man-dist speeches-dist
+web-pub: web-dist docs-dist speeches-dist
 	cd "${WEBDIR}" && make pub
 
 web-release-all: man-latest-link
@@ -216,14 +213,12 @@
 #
 
 clean:
-	rm -f $(MAN7DSTDIR)/cdist-reference.text
-
-	find "$(MANDIR)" -mindepth 2 -type l \
-	    -o -name "*.1" \
-	    -o -name "*.7" \
-	    -o -name "*.html" \
-	    -o -name "*.xml" \
+	rm -f $(DOCS_SRC_DIR)/cdist-reference.rst
+
+	find "$(DOCS_SRC_DIR)" -mindepth 2 -type l \
 	| xargs rm -f
+
+	make -C $(DOCS_SRC_DIR) clean
 
 	find * -name __pycache__  | xargs rm -rf
 
@@ -234,6 +229,10 @@
 	rm -f MANIFEST PKGBUILD
 	rm -rf dist/
 
+	# Signed release
+	rm -f cdist-*.tar.gz
+	rm -f cdist-*.tar.gz.asc
+
 distclean: clean
 	rm -f cdist/version.py
