=== debian/changelog ===
cdist (4.2.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patch 'do-not-assume-git-checkout.patch'
  * Removed patches:
    - fix-more-spelling-errors.patch: applied upstream
    - disable-building-html.patch: no longer needed, since now upstream
      generates html via sphinx
    - ensure-reproducible-build.patch: applied upstream
  * New patch: fix-docs-man-Makefile.patch
  * Update debian/watch, check GPG signature
  * Update debian/rules:
      + take advantage of /usr/shake/dpkg/default.mk instead of manual
        invocation of 'dpkg-parsechangelog'
      + .gitignore file no longer installed, drop fix
      + remove no longer generated files from clean target
  * Use pybuild debhelper build system
  * Introduce new binary package 'cdist-doc', which contain html
    documentation.
  * Make 'debian/changelog' more accurate, mentioning GPLv3-only
    manpages.
  * Install doc-base control file.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 19 Jun 2016 19:34:34 +0300
