## cdist 4.2.2

=== debian/changelog ===
cdist (4.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 26 Jul 2016 13:39:13 +0300
