=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9),
- asciidoc,
  dh-python,
- docbook-utils,
- libxml2-utils,
+ dh-linktree,
  python3,
- xmlto,
- xsltproc,
+ python3-all,
+ python3-sphinx,
+ python3-sphinx-rtd-theme
 Standards-Version: 3.9.8
 Homepage: http://www.nico.schottelius.org/software/cdist/
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
@@ -18,6 +17,7 @@
 Package: cdist
 Architecture: all
 Depends: python3 (>= 3.4), ${misc:Depends}, ${python3:Depends}
+Suggests: cdist-doc
 Description: Usable Configuration Management System
  cdist is a usable configuration management system.
  It adheres to the KISS principle and is being used in
@@ -33,3 +33,25 @@
  .
  cdist is an alternative to other configuration management systems
  like cfengine, bcfg2, chef and puppet.
+
+Package: cdist-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: Usable Configuration Management System (html documentation)
+ cdist is a usable configuration management system.
+ It adheres to the KISS principle and is being used in
+ small up to enterprise grade environments. It has the
+ following noteworthy features:
+ .
+  * shell scripting configuration language
+  * access to all control structures (if, case, for, while)
+  * idempotent target properties
+  * zero-dependencies: target system need only /bin/sh and ssh
+  * push-based distribution
+  * highly-scalable
+ .
+ cdist is an alternative to other configuration management systems
+ like cfengine, bcfg2, chef and puppet.
+ .
+ This package contains Sphinx-generated html documentation.
