=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export PYBUILD_DESTDIR = debian/cdist

clean build: cdist/version.py
%:
	dh $@ --with python3,linktree --buildsystem=pybuild

# Upstream build system assumes git checkout. Since Debian source packages
# should be buildable from tarballs, we have to reimplement some of upstream
# build trickery.

cdist/version.py:
	echo "VERSION = '$(DEB_VERSION_UPSTREAM)'" > $@

override_dh_install:
	dh_install -X objects.inv -X _sources/

override_dh_auto_build:
	$(MAKE) man html

# If something have shebang, then `chmod +x'.
override_dh_fixperms:
	dh_fixperms
	find debian/cdist -type f -execdir \
	    /bin/sh -c '(head -n1 {} | grep -qF "#!") && chmod +x {}' \;

override_dh_auto_clean: cdist/version.py
	$(MAKE) clean
	rm -rf ./build
	dh_auto_clean
