## cdist 4.3.1

=== debian/changelog ===
cdist (4.3.1-2build1) yakkety; urgency=medium

  * No-change rebuild against current sphinx.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Oct 2016 17:58:32 +0000

cdist (4.3.1-2) unstable; urgency=medium

  * Rebuild for unstable to get latest sphinx dependency (Closes: #837312)
  * Force `sphinx-build' use Python3 (Closes: #837311)

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 10 Sep 2016 16:33:38 +0300

cdist (4.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update `debian/copyright' -- GPLv3-only issue is almost solved.

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 21 Aug 2016 23:36:29 +0300

cdist (4.2.2-2) unstable; urgency=medium

  * Take advantage of 'dh_sphinxdoc'. It reduce number of paths to
    mention in cdist-doc.linktrees
  * Fix `dpkg-buildpackage -A' build
  * Install bash completion

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 31 Jul 2016 11:53:18 +0300
