## cdist 4.3.2

=== debian/changelog ===
cdist (4.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Fri, 14 Oct 2016 09:45:05 +0300
