=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Maintainer: Dmitry Bogatov <KAction@gnu.org>
 Section: admin
 Priority: optional
+Build-Conflicts: python-sphinx
 Build-Depends: debhelper (>= 9),
  dh-python,
  dh-linktree,
  python3,
  python3-all,
  python3-sphinx,
- python3-sphinx-rtd-theme
+ python3-sphinx-rtd-theme,
+ bash-completion
 Standards-Version: 3.9.8
 Homepage: http://www.nico.schottelius.org/software/cdist/
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
@@ -37,7 +39,7 @@
 Package: cdist-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Usable Configuration Management System (html documentation)
  cdist is a usable configuration management system.
  It adheres to the KISS principle and is being used in
