## cdist 4.4.0

=== debian/changelog ===
cdist (4.4.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Make dh-linktree generate weak dependency on sphinx, not strong.

    + This change simplify upgrades of sphinx at expense of increased risk
      of dangling symbolic links in cdist generated documentation.

    + Requested by: Dmitry Shachnev <mitya57@debian.org>

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 12 Dec 2016 12:58:21 +0300
