## cdist 4.4.1

=== Makefile ===
--- 
+++ 
@@ -246,3 +246,6 @@
 
 test:
 	$(helper) $@
+
+pep8:
+	$(helper) $@
