=== debian/changelog ===
cdist (4.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 18 Dec 2016 12:54:12 +0300
