=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,10 @@
 include /usr/share/dpkg/default.mk
 export PYBUILD_DESTDIR = debian/cdist
 
-clean build: cdist/version.py
+clean build-arch build-indep: cdist/version.py
 %:
-	dh $@ --with python3,linktree --buildsystem=pybuild
+	dh $@ --with python3,linktree,sphinxdoc,bash_completion \
+	    --buildsystem=pybuild
 
 # Upstream build system assumes git checkout. Since Debian source packages
 # should be buildable from tarballs, we have to reimplement some of upstream
@@ -12,9 +13,6 @@
 
 cdist/version.py:
 	echo "VERSION = '$(DEB_VERSION_UPSTREAM)'" > $@
-
-override_dh_install:
-	dh_install -X objects.inv -X _sources/
 
 override_dh_auto_build:
 	$(MAKE) man html
