## cdist 4.8.4

=== debian/changelog ===
cdist (4.8.4-1) unstable; urgency=medium

  * New upstream release
  * Drop patch-fix-spelling-errors-in-manpages.patch (applied upstream)
  * Update standards version to 4.1.4 (no changes needed)
  * Explicitly add /sbin:/usr/sbin to PATH when executing remote code.
    Without this change some types fail when ssh server is dropbear, not
    openssh.

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 21 Apr 2018 01:07:22 +0300

cdist (4.8.3-1) unstable; urgency=medium

  * New upstream release
  * Refresh 'do-not-assume-git-checkout.patch'
  * Update debian/copyright
  * Use secure protocol when referring to copyright format uri.
  * Update standards version to 4.1.3 (no changes needed)
  * Update debhelper version to 11 (no changes needed)
  * Install examples of alternative scp/ssh commands
  * Update Vcs-* fields in debian/control.
  * Ensure that code in debian/rules, that sets executable bit on scripts
    associated with types, does not process manpages. Otherwise, some
    manpages could become executable.
  * Fix build from Git working tree by recreating empty docs/src/man7
    directory.

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 05 Apr 2018 20:34:51 +0300
