## cdist 4.9.0

=== debian/changelog ===
cdist (4.9.0-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright

 -- Dmitry Bogatov <KAction@gnu.org>  Thu, 17 May 2018 23:54:24 +0300
