## cdist 4.9.1

=== debian/changelog ===
cdist (4.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 03 Jun 2018 13:20:43 +0300
