=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,25 @@
 	echo "VERSION = '$(DEB_VERSION_UPSTREAM)'" > $@
 
 override_dh_auto_build:
+	# This directory is lost during
+	#
+	# upstream git -> tarball -> git-buildpackage
+	#
+	# process, since .gitignore files are excluded by
+	# git-archive(1) and tarballs can store empty directories,
+	# but git can not.
+	#
+	# Without this directory, build from git repository fails.
+	mkdir -p docs/src/man7
 	$(MAKE) man html
 
-# If something have shebang, then `chmod +x'.
+# If something has shebang, then `chmod +x'. But it is important to
+# search only among scripts, since some manpages trigger false-positive
+# (compressed manpages are considered to have single line by head(1),
+# and somewhere in that line #! sometimes occurs)
 override_dh_fixperms:
 	dh_fixperms
-	find debian/cdist -type f -execdir \
+	find debian/cdist/usr/lib/python3 -type f -execdir \
 	    /bin/sh -c '(head -n1 {} | grep -qF "#!") && chmod +x {}' \;
 
 override_dh_auto_clean: cdist/version.py
