## cdist 4.10.0

=== debian/changelog ===
cdist (4.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 19 Jun 2018 10:50:33 +0300
