=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: admin
 Priority: optional
 Build-Conflicts: python-sphinx
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
  dh-python,
  dh-linktree,
  python3,
@@ -11,10 +11,10 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  bash-completion
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: http://www.nico.schottelius.org/software/cdist/
-Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
-Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/cdist.git
+Vcs-Browser: https://salsa.debian.org/iu-guest/cdist
+Vcs-Git: https://salsa.debian.org/iu-guest/cdist.git
 
 Package: cdist
 Architecture: all
