## cdist 4.10.2

=== Makefile ===
--- 
+++ 
@@ -198,7 +198,7 @@
 # Release
 #
 
-$(PYTHON_VERSION): .git/refs/heads/master
+$(PYTHON_VERSION) version: .git/refs/heads/master
 	$(helper) version
 
 # Code that is better handled in a shell script
@@ -247,5 +247,8 @@
 test:
 	$(helper) $@
 
+test-remote:
+	$(helper) $@
+
 pep8:
 	$(helper) $@
