=== debian/changelog ===
cdist (4.10.2-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Bump standards version to 4.2.1 (no changes needed)
  * Remove installation instruction from binary package
  * Add GitLab CI configuration file
  * Add autopkgtest, checking that installation is correct

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 09 Sep 2018 13:01:03 +0300
