=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  bash-completion
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://www.nico.schottelius.org/software/cdist/
 Vcs-Browser: https://salsa.debian.org/iu-guest/cdist
 Vcs-Git: https://salsa.debian.org/iu-guest/cdist.git
