=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,12 @@
 	mkdir -p docs/src/man7
 	$(MAKE) man html
 
+# This file contains instruction how to install cdist system-wide. It
+# gets installed in wrong place and actually redundant.
+override_dh_auto_install:
+	dh_auto_install
+	rm -f debian/cdist/usr/lib/python3/dist-packages/cdist/conf/README
+
 # If something has shebang, then `chmod +x'. But it is important to
 # search only among scripts, since some manpages trigger false-positive
 # (compressed manpages are considered to have single line by head(1),
