## cdist 4.10.3

=== debian/changelog ===
cdist (4.10.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Adjust code, removing redundant REAME to multiple Python version
  * Replace duplicate files with symlinks using jdupes(1)

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 26 Sep 2018 15:09:52 +0300
