=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  python3-all,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- bash-completion
+ bash-completion,
+ jdupes,
 Standards-Version: 4.2.1
 Homepage: http://www.nico.schottelius.org/software/cdist/
 Vcs-Browser: https://salsa.debian.org/iu-guest/cdist
