## cdist 4.10.4

=== debian/changelog ===
cdist (4.10.4-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in debian/control (package moved into debian/ group)

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 05 Nov 2018 23:31:45 +0000
