=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cdist
-Maintainer: Dmitry Bogatov <KAction@gnu.org>
+Maintainer: Dmitry Bogatov <KAction@debian.org>
 Section: admin
 Priority: optional
 Build-Conflicts: python-sphinx
-Build-Depends: debhelper (>= 11~),
+Build-Depends:
+ debhelper-compat (= 11),
  dh-python,
  dh-linktree,
  python3,
@@ -14,8 +15,8 @@
  jdupes,
 Standards-Version: 4.2.1
 Homepage: http://www.nico.schottelius.org/software/cdist/
-Vcs-Browser: https://salsa.debian.org/iu-guest/cdist
-Vcs-Git: https://salsa.debian.org/iu-guest/cdist.git
+Vcs-Browser: https://salsa.debian.org/debian/cdist
+Vcs-Git: https://salsa.debian.org/debian/cdist.git
 
 Package: cdist
 Architecture: all
