=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,11 @@
 # gets installed in wrong place and actually redundant.
 override_dh_auto_install:
 	dh_auto_install
-	rm -f debian/cdist/usr/lib/python3/dist-packages/cdist/conf/README
+	find debian/cdist/usr/lib -name 'README' -delete
+
+override_dh_install:
+	dh_install
+	jdupes --linksoft --recurse debian/cdist-doc
 
 # If something has shebang, then `chmod +x'. But it is important to
 # search only among scripts, since some manpages trigger false-positive
