=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
     https://github.com/ungleich/cdist/releases \
     /ungleich/cdist/releases/download/(\d[\d.]*)/cdist-\d[\d.]*\.tar\.gz
