## cdist 4.10.5

=== debian/changelog ===
cdist (4.10.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Add Built-Using field to binary package `cdist-doc'
  * Refresh patches

 -- Dmitry Bogatov <KAction@debian.org>  Mon, 24 Dec 2018 16:23:13 +0000
