=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
 Package: cdist-doc
 Section: doc
 Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Usable Configuration Management System (html documentation)
  cdist is a usable configuration management system.
