=== debian/changelog ===
cdist (4.10.6-1) unstable; urgency=medium

  * New upstream release
  * Use secure URI in Homepage field.

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 16 Feb 2019 21:12:00 +0000
