=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  bash-completion,
  jdupes,
 Standards-Version: 4.2.1
-Homepage: http://www.nico.schottelius.org/software/cdist/
+Homepage: https://www.nico.schottelius.org/software/cdist/
 Vcs-Browser: https://salsa.debian.org/debian/cdist
 Vcs-Git: https://salsa.debian.org/debian/cdist.git
